## org.eclipse.emf.databinding
Interface IEMFObservable

All Superinterfaces:
  IObserving

All Known Subinterfaces:
  IEMFEditObservable

All Known Implementing Classes:
  EMFEditObservableListDecorator, EMFEditObservableMapDecorator, EMFEditObservableSetDecorator, EMFEditObservableValueDecorator, EMFObservableListDecorator, EMFObservableMapDecorator, EMFObservableSetDecorator, EMFObservableValueDecorator

    public interface IEMFObservable

extends IObserving

PROVISIONAL: This API is subject to arbitrary change, including renaming or removal.

Provides access to details of EObject observables.

This interface is not meant to be implemented by clients.

Since:
  2.5

Method Summary
`EStructuralFeature` `getStructuralFeature()`

Methods inherited from interface org.eclipse.core.databinding.observable.IObserving
`getObserved`

Method Detail

### getStructuralFeature

    EStructuralFeature getStructuralFeature()

  Returns:
    property descriptor of the property being observed, `null` if the runtime time information was not provided on construction of the observable

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.